:root {

    --kode4-field-padding-top: 5px;
    --kode4-field-padding-bottom: 5px;

    --kode4-button-padding-top: 0.7em;
    --kode4-button-padding-bottom: 0.7em;
    --kode4-button-padding-left: 1.0em;
    --kode4-button-padding-right: 1.0em;
    
    --kode4-button-font-size: inherit;
    --kode4-button-font-size-xxs: 0.5em;
    --kode4-button-font-size-xs: 0.65em;
    --kode4-button-font-size-s: 0.8em;
    --kode4-button-font-size-m: 1.0em;
    --kode4-button-font-size-l: 1.5em;
    --kode4-button-font-size-xl: 2.0em;
    --kode4-button-font-size-xxl: 3.0em;
    --kode4-button-font-family: inherit;
    --kode4-button-line-height: 1.0em;
    --kode4-button-font-weight: normal;

    --kode4-button-outline-border-width: 1px;
    --kode4-button-outline-border-style: solid;
    --kode4-button-border-radius: 1px;




    --kode4-field-placeholder-color: #999;


    --kode4-field-input-container-padding-top: 0;
    --kode4-field-input-container-padding-right: 0;
    --kode4-field-input-container-padding-bottom: 0;
    --kode4-field-input-container-padding-left: 0;
    --kode4-field-input-container-margin-top: 0;
    --kode4-field-input-container-margin-right: 0;
    --kode4-field-input-container-margin-bottom: 0;
    --kode4-field-input-container-margin-left: 0;

    --kode4-field-filled-input-container-padding-top: 0;
    --kode4-field-filled-input-container-padding-right: 0.5em;
    --kode4-field-filled-input-container-padding-bottom: 0;
    --kode4-field-filled-input-container-padding-left: 0.5em;

    --kode4-field-label-font-family: inherit;
    --kode4-field-label-font-size: inherit;
    --kode4-field-label-line-height: inherit;
    --kode4-field-label-font-weight: inherit;
    --kode4-field-label-color: inherit;
    --kode4-field-label-translate-x: -0.3em;
    --kode4-field-label-translate-y: 0.25em;
    --kode4-field-label-scale: 0.75;


    --kode4-field-floatinglabel-label-translate-x: 0;
    --kode4-field-floatinglabel-label-translate-y: 1.45em;


    --kode4-field-decorator-background: #ccc;
    --kode4-field-decorator-color: #33c;
    --kode4-field-decorator-size: 2px;
    
    --kode4-field-messages-color: #999;
    --kode4-field-messages-font-family: inherit;
    --kode4-field-messages-font-size: 0.8em;
    --kode4-field-messages-line-height: 1.2em;
    --kode4-field-messages-font-weight: normal;
    --kode4-field-messages-spacing: 5px;
    --kode4-field-messages-margin-top: 5px;

    --kode4-field-error-color: #D6313F;

    --kode4-field-check-icon-spacing: 1px;
    --kode4-field-check-line-height: 1.4em;





    --kode4-field-prefix-color: inherit;
    --kode4-field-prefix-font-family: inherit;
    --kode4-field-prefix-font-size: inherit;
    --kode4-field-prefix-line-height: 1.2em;
    --kode4-field-prefix-font-weight: normal;
    --kode4-field-prefix-padding-top: 1.4em;
    --kode4-field-prefix-padding-right: 0;
    --kode4-field-prefix-padding-bottom: 0;
    --kode4-field-prefix-padding-left: 0;
    --kode4-field-prefix-margin-top: 0;
    --kode4-field-prefix-margin-right: 0.5em;
    --kode4-field-prefix-margin-bottom: 0;
    --kode4-field-prefix-margin-left: 0;
    --kode4-field-prefix-width: auto;

    --kode4-field-suffix-color: inherit;
    --kode4-field-suffix-font-family: inherit;
    --kode4-field-suffix-font-size: inherit;
    --kode4-field-suffix-line-height: 1.2em;
    --kode4-field-suffix-font-weight: normal;
    --kode4-field-suffix-padding-top: 1.4em;
    --kode4-field-suffix-padding-right: 0;
    --kode4-field-suffix-padding-bottom: 0;
    --kode4-field-suffix-padding-left: 0;
    --kode4-field-suffix-margin-top: 0;
    --kode4-field-suffix-margin-right: 0;
    --kode4-field-suffix-margin-bottom: 0;
    --kode4-field-suffix-margin-left: 0.5em;
    --kode4-field-suffix-width: auto;

    --kode4-field-prefix-outside-color: inherit;
    --kode4-field-prefix-outside-font-family: inherit;
    --kode4-field-prefix-outside-font-size: inherit;
    --kode4-field-prefix-outside-line-height: 1.0em;
    --kode4-field-prefix-outside-font-weight: normal;
    --kode4-field-prefix-outside-padding-top: 1.35em;
    --kode4-field-prefix-outside-padding-right: 0;
    --kode4-field-prefix-outside-padding-bottom: 0;
    --kode4-field-prefix-outside-padding-left: 0;
    --kode4-field-prefix-outside-margin-top: 0;
    --kode4-field-prefix-outside-margin-right: 0.5em;
    --kode4-field-prefix-outside-margin-bottom: 0;
    --kode4-field-prefix-outside-margin-left: 0;
    --kode4-field-prefix-outside-width: auto;

    --kode4-field-suffix-outside-color: inherit;
    --kode4-field-suffix-outside-font-family: inherit;
    --kode4-field-suffix-outside-font-size: inherit;
    --kode4-field-suffix-outside-line-height: 1.0em;
    --kode4-field-suffix-outside-font-weight: normal;
    --kode4-field-suffix-outside-padding-top: 1.35em;
    --kode4-field-suffix-outside-padding-right: 0;
    --kode4-field-suffix-outside-padding-bottom: 0;
    --kode4-field-suffix-outside-padding-left: 0;
    --kode4-field-suffix-outside-margin-top: 0;
    --kode4-field-suffix-outside-margin-right: 0;
    --kode4-field-suffix-outside-margin-bottom: 0;
    --kode4-field-suffix-outside-margin-left: 0.5em;
    --kode4-field-suffix-outside-width: auto;

    --kode4-field-input-color: inherit;
    --kode4-field-input-font-family: inherit;
    --kode4-field-input-font-size: inherit;
    --kode4-field-input-line-height: 1.2em;
    --kode4-field-input-font-weight: normal;
    --kode4-field-input-padding-top: 1.3em;
    --kode4-field-input-padding-right: 0;
    --kode4-field-input-padding-bottom: 0.5em;
    --kode4-field-input-padding-left: 0;
    --kode4-field-input-margin-top: 0;
    --kode4-field-input-margin-right: 0;
    --kode4-field-input-margin-bottom: 0;
    --kode4-field-input-margin-left: 0;

    --kode4-field-icon-prepend-color: inherit;
    --kode4-field-icon-prepend-font-family: inherit;
    --kode4-field-icon-prepend-font-size: inherit;
    --kode4-field-icon-prepend-line-height: 1.0em;
    --kode4-field-icon-prepend-font-weight: normal;
    --kode4-field-icon-prepend-padding-top: 1.35em;
    --kode4-field-icon-prepend-padding-right: 0;
    --kode4-field-icon-prepend-padding-bottom: 0;
    --kode4-field-icon-prepend-padding-left: 0;
    --kode4-field-icon-prepend-margin-top: 0;
    --kode4-field-icon-prepend-margin-right: 0.5em;
    --kode4-field-icon-prepend-margin-bottom: 0;
    --kode4-field-icon-prepend-margin-left: 0;

    --kode4-field-icon-append-color: inherit;
    --kode4-field-icon-append-font-family: inherit;
    --kode4-field-icon-append-font-size: inherit;
    --kode4-field-icon-append-line-height: 1.0em;
    --kode4-field-icon-append-font-weight: normal;
    --kode4-field-icon-append-padding-top: 1.35em;
    --kode4-field-icon-append-padding-right: 0;
    --kode4-field-icon-append-padding-bottom: 0;
    --kode4-field-icon-append-padding-left: 0;
    --kode4-field-icon-append-margin-top: 0;
    --kode4-field-icon-append-margin-right: 0;
    --kode4-field-icon-append-margin-bottom: 0;
    --kode4-field-icon-append-margin-left: 0.5em;

    --kode4-field-icon-action-color: inherit;
    --kode4-field-icon-action-font-family: inherit;
    --kode4-field-icon-action-font-size: inherit;
    --kode4-field-icon-action-line-height: 1.0em;
    --kode4-field-icon-action-font-weight: normal;
    --kode4-field-icon-action-padding-top: 1.35em;
    --kode4-field-icon-action-padding-right: 0;
    --kode4-field-icon-action-padding-bottom: 0;
    --kode4-field-icon-action-padding-left: 0;
    --kode4-field-icon-action-margin-top: 0;
    --kode4-field-icon-action-margin-right: 0;
    --kode4-field-icon-action-margin-bottom: 0;
    --kode4-field-icon-action-margin-left: 0.5em;

    --kode4-field-icon-reset-color: inherit;
    --kode4-field-icon-reset-font-family: inherit;
    --kode4-field-icon-reset-font-size: inherit;
    --kode4-field-icon-reset-line-height: 1.0em;
    --kode4-field-icon-reset-font-weight: normal;
    --kode4-field-icon-reset-padding-top: 1.35em;
    --kode4-field-icon-reset-padding-right: 0;
    --kode4-field-icon-reset-padding-bottom: 0;
    --kode4-field-icon-reset-padding-left: 0;
    --kode4-field-icon-reset-margin-top: 0;
    --kode4-field-icon-reset-margin-right: 0;
    --kode4-field-icon-reset-margin-bottom: 0;
    --kode4-field-icon-reset-margin-left: 0.5em;

    --kode4-field-icon-busy-color: inherit;
    --kode4-field-icon-busy-font-family: inherit;
    --kode4-field-icon-busy-font-size: inherit;
    --kode4-field-icon-busy-line-height: 1.0em;
    --kode4-field-icon-busy-font-weight: normal;
    --kode4-field-icon-busy-padding-top: 1.35em;
    --kode4-field-icon-busy-padding-right: 0;
    --kode4-field-icon-busy-padding-bottom: 0;
    --kode4-field-icon-busy-padding-left: 0;
    --kode4-field-icon-busy-margin-top: 0;
    --kode4-field-icon-busy-margin-right: 0;
    --kode4-field-icon-busy-margin-bottom: 0;
    --kode4-field-icon-busy-margin-left: 0.5em;

    --kode4-field-icon-clear-color: inherit;
    --kode4-field-icon-clear-font-family: inherit;
    --kode4-field-icon-clear-font-size: inherit;
    --kode4-field-icon-clear-line-height: 1.0em;
    --kode4-field-icon-clear-font-weight: normal;
    --kode4-field-icon-clear-padding-top: 1.35em;
    --kode4-field-icon-clear-padding-right: 0;
    --kode4-field-icon-clear-padding-bottom: 0;
    --kode4-field-icon-clear-padding-left: 0;
    --kode4-field-icon-clear-margin-top: 0;
    --kode4-field-icon-clear-margin-right: 0;
    --kode4-field-icon-clear-margin-bottom: 0;
    --kode4-field-icon-clear-margin-left: 0.5em;

    --kode4-field-icon-prepend-outside-color: inherit;
    --kode4-field-icon-prepend-outside-font-family: inherit;
    --kode4-field-icon-prepend-outside-font-size: inherit;
    --kode4-field-icon-prepend-outside-line-height: 1.0em;
    --kode4-field-icon-prepend-outside-font-weight: normal;
    --kode4-field-icon-prepend-outside-padding-top: 1.35em;
    --kode4-field-icon-prepend-outside-padding-right: 0;
    --kode4-field-icon-prepend-outside-padding-bottom: 0;
    --kode4-field-icon-prepend-outside-padding-left: 0;
    --kode4-field-icon-prepend-outside-margin-top: 0;
    --kode4-field-icon-prepend-outside-margin-right: 0.5em;
    --kode4-field-icon-prepend-outside-margin-bottom: 0;
    --kode4-field-icon-prepend-outside-margin-left: 0;

    --kode4-field-icon-append-outside-color: inherit;
    --kode4-field-icon-append-outside-font-family: inherit;
    --kode4-field-icon-append-outside-font-size: inherit;
    --kode4-field-icon-append-outside-line-height: 1.0em;
    --kode4-field-icon-append-outside-font-weight: normal;
    --kode4-field-icon-append-outside-padding-top: 1.35em;
    --kode4-field-icon-append-outside-padding-right: 0;
    --kode4-field-icon-append-outside-padding-bottom: 0;
    --kode4-field-icon-append-outside-padding-left: 0;
    --kode4-field-icon-append-outside-margin-top: 0;
    --kode4-field-icon-append-outside-margin-right: 0;
    --kode4-field-icon-append-outside-margin-bottom: 0;
    --kode4-field-icon-append-outside-margin-left: 0.5em;


    --kode4-field-filled-background: #eee;


    --kode4-field-outline-border-color: #ccc;
    --kode4-field-outline-border-width: 1px;
    --kode4-field-outline-border-style: solid;
    --kode4-field-outline-border-radius: 4px;
    
    --kode4-field-outline-label-translate-x: 0;
    --kode4-field-outline-label-translate-y: -0.55em;
    --kode4-field-outline-label-scale: 0.75;

    --kode4-field-outline-input-container-margin-top: 0.7em;
    --kode4-field-outline-input-container-margin-right: 0;
    --kode4-field-outline-input-container-margin-bottom: 0;
    --kode4-field-outline-input-container-margin-left: 0;

    --kode4-field-outline-input-container-padding-top: 0;
    --kode4-field-outline-input-container-padding-right: 0.5em;
    --kode4-field-outline-input-container-padding-bottom: 0;
    --kode4-field-outline-input-container-padding-left: 0.5em;

    --kode4-field-outline-hint-padding-top: 0;
    --kode4-field-outline-hint-padding-right: 0.5em;
    --kode4-field-outline-hint-padding-bottom: 0;
    --kode4-field-outline-hint-padding-left: 0.5em;

    --kode4-field-outline-error-padding-top: 0;
    --kode4-field-outline-error-padding-right: 0.5em;
    --kode4-field-outline-error-padding-bottom: 0;
    --kode4-field-outline-error-padding-left: 0.5em;

    --kode4-field-outline-floatinglabel-label-translate-x: 0;
    --kode4-field-outline-floatinglabel-label-translate-y: 0.7em;

    --kode4-field-outline-input-color: inherit;
    --kode4-field-outline-input-font-family: inherit;
    --kode4-field-outline-input-font-size: inherit;
    --kode4-field-outline-input-line-height: 1.2em;
    --kode4-field-outline-input-font-weight: normal;
    --kode4-field-outline-input-padding-top: 0.7em;
    --kode4-field-outline-input-padding-right: 0;
    --kode4-field-outline-input-padding-bottom: 0.35em;
    --kode4-field-outline-input-padding-left: 0;
    --kode4-field-outline-input-margin-top: 0;
    --kode4-field-outline-input-margin-right: 0;
    --kode4-field-outline-input-margin-bottom: 0;
    --kode4-field-outline-input-margin-left: 0;


    --kode4-field-outline-prefix-padding-top: 0.7em;
    --kode4-field-outline-prefix-padding-right: 0;
    --kode4-field-outline-prefix-padding-bottom: 0;
    --kode4-field-outline-prefix-padding-left: 0;

    --kode4-field-outline-suffix-padding-top: 0.7em;
    --kode4-field-outline-suffix-padding-right: 0;
    --kode4-field-outline-suffix-padding-bottom: 0;
    --kode4-field-outline-suffix-padding-left: 0;



    --kode4-field-outline-icon-prepend-padding-top: 0.65em;
    --kode4-field-outline-icon-prepend-padding-right: 0;
    --kode4-field-outline-icon-prepend-padding-bottom: 0;
    --kode4-field-outline-icon-prepend-padding-left: 0;

    --kode4-field-outline-icon-append-padding-top: 0.65em;
    --kode4-field-outline-icon-append-padding-right: 0;
    --kode4-field-outline-icon-append-padding-bottom: 0;
    --kode4-field-outline-icon-append-padding-left: 0;

    --kode4-field-outline-icon-action-padding-top: 0.65em;
    --kode4-field-outline-icon-action-padding-right: 0;
    --kode4-field-outline-icon-action-padding-bottom: 0;
    --kode4-field-outline-icon-action-padding-left: 0;

    --kode4-field-outline-icon-reset-padding-top: 0.65em;
    --kode4-field-outline-icon-reset-padding-right: 0;
    --kode4-field-outline-icon-reset-padding-bottom: 0;
    --kode4-field-outline-icon-reset-padding-left: 0;

    --kode4-field-outline-icon-busy-padding-top: 0.65em;
    --kode4-field-outline-icon-busy-padding-right: 0;
    --kode4-field-outline-icon-busy-padding-bottom: 0;
    --kode4-field-outline-icon-busy-padding-left: 0;

    --kode4-field-outline-icon-clear-padding-top: 0.65em;
    --kode4-field-outline-icon-clear-padding-right: 0;
    --kode4-field-outline-icon-clear-padding-bottom: 0;
    --kode4-field-outline-icon-clear-padding-left: 0;





    --kode4-field-dialog-background-color: #f5f5f5;
    --kode4-field-dialog-opacity: 1;
    --kode4-field-dialog-padding-top: 0;
    --kode4-field-dialog-padding-right: 0;
    --kode4-field-dialog-padding-bottom: 0;
    --kode4-field-dialog-padding-left: 0;
    --kode4-field-dialog-margin-top: 0;
    --kode4-field-dialog-margin-right: 0;
    --kode4-field-dialog-margin-bottom: 0;
    --kode4-field-dialog-margin-left: 0;
    --kode4-field-dialog-border-width: 0;
    --kode4-field-dialog-border-style: none;
    --kode4-field-dialog-border-color: transparent;
    --kode4-field-dialog-border-radius: 0;
    --kode4-field-dialog-width: auto;
    --kode4-field-dialog-min-width: auto;
    --kode4-field-dialog-max-width: auto;
    --kode4-field-dialog-position-top: 100%;
    --kode4-field-dialog-position-right: 0;
    --kode4-field-dialog-position-bottom: auto;
    --kode4-field-dialog-position-left: 0;





    --kode4-select-option-color: #000;
    --kode4-select-option-font-family: inherit;
    --kode4-select-option-font-size: 1.0em;
    --kode4-select-option-line-height: 1.0em;
    --kode4-select-option-font-weight: normal;
    --kode4-select-option-padding-top: 5px;
    --kode4-select-option-padding-right: 10px;
    --kode4-select-option-padding-bottom: 5px;
    --kode4-select-option-padding-left: 10px;
    --kode4-select-option-margin-top: 0;
    --kode4-select-option-margin-right: 0;
    --kode4-select-option-margin-bottom: 1px;
    --kode4-select-option-margin-left: 0;
    --kode4-select-option-opacity: 1;
    --kode4-select-option-background-color: transparent;
    --kode4-select-dialog-max-height: auto;
    
    --kode4-select-option-selected-color: #33c;
    --kode4-select-option-selected-font-weight: 500;
    --kode4-select-option-selected-opacity: 1;
    --kode4-select-option-selected-background-color: transparent;






    --kode4-datetime-dialog-calendar-padding-top: 10px;
    --kode4-datetime-dialog-calendar-padding-right: 10px;
    --kode4-datetime-dialog-calendar-padding-bottom: 10px;
    --kode4-datetime-dialog-calendar-padding-left: 10px;
    --kode4-datetime-dialog-calendar-tablecell-padding-top: 3px;
    --kode4-datetime-dialog-calendar-tablecell-padding-right: 0;
    --kode4-datetime-dialog-calendar-tablecell-padding-bottom: 3px;
    --kode4-datetime-dialog-calendar-tablecell-padding-left: 0;
    --kode4-datetime-dialog-calendar-month-pagination-margin-top: 5px;
    --kode4-datetime-dialog-calendar-month-pagination-margin-right: 10px;
    --kode4-datetime-dialog-calendar-month-pagination-margin-bottom: 20px;
    --kode4-datetime-dialog-calendar-month-pagination-margin-left: 10px;
    --kode4-datetime-dialog-calendar-month-pagination-button-width: 25px;
    --kode4-datetime-dialog-calendar-month-pagination-label-spacer: 5px;
    --kode4-datetime-dialog-calendar-year-input-width: 50px;
    --kode4-datetime-dialog-calendar-year-input-color: inherit;
    --kode4-datetime-dialog-calendar-year-input-font-family: inherit;
    --kode4-datetime-dialog-calendar-year-input-font-size: 1.0em;
    --kode4-datetime-dialog-calendar-year-input-line-height: 1.0em;
    --kode4-datetime-dialog-calendar-year-input-font-weight: normal;

    --kode4-datetime-dialog-time-padding-top: 10px;
    --kode4-datetime-dialog-time-padding-right: 20px;
    --kode4-datetime-dialog-time-padding-bottom: 10px;
    --kode4-datetime-dialog-time-padding-left: 20px;
    --kode4-datetime-dialog-time-hours-input-width: auto;
    --kode4-datetime-dialog-time-hours-input-color: inherit;
    --kode4-datetime-dialog-time-hours-input-font-family: inherit;
    --kode4-datetime-dialog-time-hours-input-font-size: 1.0em;
    --kode4-datetime-dialog-time-hours-input-line-height: 1.0em;
    --kode4-datetime-dialog-time-hours-input-font-weight: normal;
    --kode4-datetime-dialog-time-hours-input-text-align: right;
    --kode4-datetime-dialog-time-minutes-input-width: auto;
    --kode4-datetime-dialog-time-minutes-input-color: inherit;
    --kode4-datetime-dialog-time-minutes-input-font-family: inherit;
    --kode4-datetime-dialog-time-minutes-input-font-size: 1.0em;
    --kode4-datetime-dialog-time-minutes-input-line-height: 1.0em;
    --kode4-datetime-dialog-time-minutes-input-font-weight: normal;
    --kode4-datetime-dialog-time-minutes-input-text-align: right;


    --kode4-customselect-option-deselected-opacity: 0.3;
    --kode4-customselect-option-selected-opacity: 1;

}
  
kode4-datetime-picker {
  --kode4-field-dialog-min-width: 200px;
}

.kode4-button-group {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
}

.kode4-button-group > kode4-button {
  flex: 1 0 1px;
}